<script setup lang="ts">
export interface InputOption {
  isDisabled: boolean
}

const props = defineProps({
  modelValue: {
    type: String as PropType<string | null>,
    default: null
  },
  tagOption: {
    type: Object as PropType<InputOption>,
    default: () => ({})
  }
})

const emit = defineEmits<{
  (event: 'update:modelValue', value: string | null): void
}>()

function emitValue(event: Event): void {
  emit('update:modelValue', (event.target as any).value)
}
</script>

<template>
  <div class="input-group">
    <input
      :disabled="props.tagOption.isDisabled"
      :value="modelValue"
      class="default-input font-zh-p-medium form-control"
      placeholder="請輸入"
      type="text"
      @blur="emitValue($event)"
      @input="emitValue($event)"
    />
  </div>
</template>

<style lang="scss" scoped></style>
